<template>
    <div class="step3">
        Навчальний план
    </div>
    <div v-for="pair in lessonTeacherPairs" :key="pair">
        {{ getLessonName(pair) }} - {{ getTeacherName(pair) }}
    </div>
</template>

<script>
import { mapGetters } from 'vuex';


export default {
    name: 'ListOfPairs',
    props: {
        lessonTeacherPairs: {
            type: Array,
            required: true,
        },
    },
    mounted() {
        console.log('Lesson-Teacher Pairs:', this.lessonTeacherPairs);
    },
    computed: {
        ...mapGetters(['getAllLessons', 'getAllTeachers']),
    },

    methods: {
        getLessonName(pair) {
            const lessonCode = pair.split('-')[0];
            const lesson = this.getAllLessons.find(lesson => lesson.code === Number(lessonCode));
            return lesson ? lesson.subject : 'Lesson Not Found';
        },
        getTeacherName(pair) {
            const teacherCode = pair.split('-')[1];
            const teacher = this.getAllTeachers.find(teacher => teacher.code === Number(teacherCode));
            return teacher ? teacher.name : 'Teacher Not Found';
        },
    },

}
</script>

<style lang="scss" scoped>
.step3 {
    color: red;
}
</style>